Bug 1659044 - Undercloud installation fails with --skip-metering-database when telemetry is enabled
Summary: Undercloud installation fails with --skip-metering-database when telemetry is...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z5
: 13.0 (Queens)
Assignee: Mehdi ABAAKOUK
QA Contact: Nataf Sharabi
URL:
Whiteboard:
Depends On:
Blocks: 1672446
TreeView+ depends on / blocked
 
Reported: 2018-12-13 13:02 UTC by Sasha Smolyak
Modified: 2019-03-14 13:31 UTC (History)
20 users (show)

Fixed In Version: openstack-ceilometer-10.0.1-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1672446 (view as bug list)
Environment:
Last Closed: 2019-03-14 13:31:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0566 None None None 2019-03-14 13:31:11 UTC

Description Sasha Smolyak 2018-12-13 13:02:43 UTC
Description of problem:
Trying to deploy composable roles:
1 controller, 1 compute, 1 ceph, 1 telemetry

using telemetry composable roles yaml from infrared.

Installation fails. 
From log:
1. Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1
2. Error: ceilometer-upgrade --skip-metering-database returned 2 instead of one of [0]


2018-12-13 12:32:39.223 | TASK [print the last 60 lines of the undercloud installation] ******************
2018-12-13 12:32:39.225 | task path: /home/rhos-ci/jenkins/workspace/OSPD-Customized-Deployment-virt@2/infrared/plugins/tripleo-undercloud/deploy.yml:27
2018-12-13 12:32:39.227 | changed: [undercloud-0] => {
2018-12-13 12:32:39.229 |     "changed": true, 
2018-12-13 12:32:39.232 |     "cmd": [
2018-12-13 12:32:39.234 |         "tail", 
2018-12-13 12:32:39.236 |         "-n60", 
2018-12-13 12:32:39.238 |         "undercloud_install.log"
2018-12-13 12:32:39.240 |     ], 
2018-12-13 12:32:39.242 |     "delta": "0:00:00.003374", 
2018-12-13 12:32:39.244 |     "end": "2018-12-13 07:32:39.090331", 
2018-12-13 12:32:39.247 |     "rc": 0, 
2018-12-13 12:32:39.249 |     "start": "2018-12-13 07:32:39.086957"
2018-12-13 12:32:39.251 | }
2018-12-13 12:32:39.253 | 
2018-12-13 12:32:39.255 | STDOUT:
2018-12-13 12:32:39.257 | 
2018-12-13 12:32:39.259 | 2018-12-13 07:32:21,334 INFO:    Keystone config: 2.50
2018-12-13 12:32:39.261 | 2018-12-13 07:32:21,334 INFO:     Keystone role: 2.87
2018-12-13 12:32:39.263 | 2018-12-13 07:32:21,334 INFO:      Nova cell v2: 2.87
2018-12-13 12:32:39.266 | 2018-12-13 07:32:21,334 INFO:    Config retrieval: 22.90
2018-12-13 12:32:39.268 | 2018-12-13 07:32:21,334 INFO:    Glance api config: 3.06
2018-12-13 12:32:39.270 | 2018-12-13 07:32:21,335 INFO:       Heat config: 3.09
2018-12-13 12:32:39.272 | 2018-12-13 07:32:21,335 INFO:        Mysql user: 3.09
2018-12-13 12:32:39.274 | 2018-12-13 07:32:21,335 INFO:              File: 3.39
2018-12-13 12:32:39.276 | 2018-12-13 07:32:21,335 INFO:     Keystone user: 38.04
2018-12-13 12:32:39.278 | 2018-12-13 07:32:21,335 INFO:           Package: 488.93
2018-12-13 12:32:39.280 | 2018-12-13 07:32:21,335 INFO:           Service: 49.09
2018-12-13 12:32:39.282 | 2018-12-13 07:32:21,335 INFO:    Keystone user role: 49.37
2018-12-13 12:32:39.284 | 2018-12-13 07:32:21,335 INFO:              Exec: 51.12
2018-12-13 12:32:39.286 | 2018-12-13 07:32:21,335 INFO:    Keystone endpoint: 54.75
2018-12-13 12:32:39.288 | 2018-12-13 07:32:21,335 INFO:     Ironic config: 6.14
2018-12-13 12:32:39.290 | 2018-12-13 07:32:21,335 INFO:        Filebucket: 0.00
2018-12-13 12:32:39.292 | 2018-12-13 07:32:21,335 INFO:     Mysql datadir: 9.49
2018-12-13 12:32:39.294 | 2018-12-13 07:32:21,335 INFO:             Total: 972.62
2018-12-13 12:32:39.296 | 2018-12-13 07:32:21,336 INFO: Version:
2018-12-13 12:32:39.299 | 2018-12-13 07:32:21,336 INFO:            Config: 1544703299
2018-12-13 12:32:39.301 | 2018-12-13 07:32:21,336 INFO:            Puppet: 4.8.2
2018-12-13 12:32:39.303 | 2018-12-13 07:32:38,295 INFO: + rc=6
2018-12-13 12:32:39.305 | 2018-12-13 07:32:38,295 INFO: + set -e
2018-12-13 12:32:39.307 | 2018-12-13 07:32:38,296 INFO: + echo 'puppet apply exited with exit code 6'
2018-12-13 12:32:39.309 | 2018-12-13 07:32:38,296 INFO: puppet apply exited with exit code 6
2018-12-13 12:32:39.311 | 2018-12-13 07:32:38,296 INFO: + '[' 6 '!=' 2 -a 6 '!=' 0 ']'
2018-12-13 12:32:39.313 | 2018-12-13 07:32:38,296 INFO: + exit 6
2018-12-13 12:32:39.315 | 2018-12-13 07:32:38,296 INFO: [2018-12-13 07:32:38,296] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1]
2018-12-13 12:32:39.317 | 2018-12-13 07:32:38,296 INFO: 
2018-12-13 12:32:39.319 | 2018-12-13 07:32:38,296 INFO: [2018-12-13 07:32:38,296] (os-refresh-config) [ERROR] Aborting...
2018-12-13 12:32:39.321 | 2018-12-13 07:32:38,305 DEBUG: An exception occurred
2018-12-13 12:32:39.323 | Traceback (most recent call last):
2018-12-13 12:32:39.673 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 2332, in install
2018-12-13 12:32:39.675 |     _run_orc(instack_env)
2018-12-13 12:32:39.677 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1599, in _run_orc
2018-12-13 12:32:39.679 |     _run_live_command(args, instack_env, 'os-refresh-config')
2018-12-13 12:32:39.681 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 668, in _run_live_command
2018-12-13 12:32:39.683 |     raise RuntimeError('%s failed. See log for details.' % name)
2018-12-13 12:32:39.685 | RuntimeError: os-refresh-config failed. See log for details.
2018-12-13 12:32:39.687 | 2018-12-13 07:32:38,306 ERROR: 
2018-12-13 12:32:39.689 | #############################################################################
2018-12-13 12:32:39.691 | Undercloud install failed.
2018-12-13 12:32:39.693 | 
2018-12-13 12:32:39.695 | Reason: os-refresh-config failed. See log for details.
2018-12-13 12:32:39.697 | 
2018-12-13 12:32:39.699 | See the previous output for details about what went wrong.  The full install
2018-12-13 12:32:39.701 | log can be found at /home/stack/.instack/install-undercloud.log.
2018-12-13 12:32:39.703 | 
2018-12-13 12:32:39.705 | #############################################################################
2018-12-13 12:32:39.707 | 
2018-12-13 12:32:39.709 | Traceback (most recent call last):
2018-12-13 12:32:39.711 |   File "<string>", line 1, in <module>
2018-12-13 12:32:39.713 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 2332, in install
2018-12-13 12:32:39.715 |     _run_orc(instack_env)
2018-12-13 12:32:39.717 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1599, in _run_orc
2018-12-13 12:32:39.719 |     _run_live_command(args, instack_env, 'os-refresh-config')
2018-12-13 12:32:39.721 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 668, in _run_live_command
2018-12-13 12:32:39.723 |     raise RuntimeError('%s failed. See log for details.' % name)
2018-12-13 12:32:39.725 | RuntimeError: os-refresh-config failed. See log for details.
2018-12-13 12:32:39.727 | Command 'instack-install-undercloud' returned non-zero exit status 1
2018-12-13 12:32:39.729 | 
2018-12-13 12:32:39.731 | 
2018-12-13 12:32:39.734 | TASK [print any nested error entries in undercloud installation] ***************
2018-12-13 12:32:39.736 | task path: /home/rhos-ci/jenkins/workspace/OSPD-Customized-Deployment-virt@2/infrared/plugins/tripleo-undercloud/deploy.yml:30
2018-12-13 12:32:39.738 | changed: [undercloud-0] => {
2018-12-13 12:32:39.740 |     "changed": true, 
2018-12-13 12:32:39.742 |     "cmd": "grep -B2 -A5 -i 'info:.*error:' undercloud_install.log || true", 
2018-12-13 12:32:39.744 |     "delta": "0:00:00.006363", 
2018-12-13 12:32:39.746 |     "end": "2018-12-13 07:32:39.560009", 
2018-12-13 12:32:39.748 |     "rc": 0, 
2018-12-13 12:32:39.750 |     "start": "2018-12-13 07:32:39.553646"
2018-12-13 12:32:39.752 | }
2018-12-13 12:32:39.754 | 
2018-12-13 12:32:39.756 | STDOUT:
2018-12-13 12:32:39.758 | 
2018-12-13 12:32:39.760 | 2018-12-13 07:31:59,392 INFO: Notice: /Stage[main]/Main/Exec[ceilo-gnocchi-upgrade]/returns:                           [--use-journal] [--use-json] [--use-syslog]
2018-12-13 12:32:39.762 | 2018-12-13 07:31:59,392 INFO: Notice: /Stage[main]/Main/Exec[ceilo-gnocchi-upgrade]/returns:                           [--version] [--watch-log-file]
2018-12-13 12:32:39.764 | 2018-12-13 07:31:59,392 INFO: Notice: /Stage[main]/Main/Exec[ceilo-gnocchi-upgrade]/returns: ceilometer-upgrade: error: unrecognized arguments: --skip-metering-database
2018-12-13 12:32:39.766 | 2018-12-13 07:31:59,392 INFO: Error: ceilometer-upgrade --skip-metering-database returned 2 instead of one of [0]
2018-12-13 12:32:39.768 | 2018-12-13 07:31:59,392 INFO: Error: /Stage[main]/Main/Exec[ceilo-gnocchi-upgrade]/returns: change from notrun to 0 failed: ceilometer-upgrade --skip-metering-database returned 2 instead of one of [0]
2018-12-13 12:32:39.770 | 2018-12-13 07:32:02,885 INFO: Notice: /Stage[main]/Nova::Compute/Nova::Generic_service[compute]/Service[nova-compute]/ensure: ensure changed 'stopped' to 'running'
2018-12-13 12:32:39.772 | 2018-12-13 07:32:03,366 INFO: Notice: /Stage[main]/Nova::Deps/Anchor[nova::service::end]: Triggered 'refresh' from 4 events
2018-12-13 12:32:39.774 | 2018-12-13 07:32:03,371 INFO: Notice: /Stage[main]/Nova::Logging/File[/var/log/nova/nova-manage.log]/seluser: seluser changed 'unconfined_u' to 'system_u'
2018-12-13 12:32:39.776 | 2018-12-13 07:32:06,586 INFO: Notice: /Stage[main]/Nova::Cell_v2::Discover_hosts/Exec[nova-cell_v2-discover_hosts]: Triggered 'refresh' from 2 events
2018-12-13 12:32:39.778 | 2018-12-13 07:32:07,150 INFO: Notice: /Stage[main]/Swift::Storage::Account/Swift::Service[swift-account-reaper]/Service[swift-account-reaper]/ensure: ensure changed 'stopped' to 'running'
2018-12-13 12:32:39.780 | 
2018-12-13 12:32:39.782 | 
2018-12-13 12:32:39.784 | TASK [fail] ********************************************************************
2018-12-13 12:32:39.786 | task path: /home/rhos-ci/jenkins/workspace/OSPD-Customized-Deployment-virt@2/infrared/plugins/tripleo-undercloud/deploy.yml:33
2018-12-13 12:32:39.788 | fatal: [undercloud-0]: FAILED! => {
2018-12-13 12:32:39.790 |     "changed": false
2018-12-13 12:32:39.792 | }
2018-12-13 12:32:39.794 | 
2018-12-13 12:32:39.796 | MSG:
2018-12-13 12:32:39.798 | 
2018-12-13 12:32:39.800 | Undercloud deployment failed... :(
2018-12-13 12:32:39.802 | 
2018-12-13 12:32:39.804 | 
2018-12-13 12:32:39.806 | NO MORE HOSTS LEFT *************************************************************
2018-12-13 12:32:39.808 | 	to retry, use: --limit @/home/rhos-ci/jenkins/workspace/OSPD-Customized-Deployment-virt@2/infrared/plugins/tripleo-undercloud/main.retry
2018-12-13 12:32:39.810 | 
2018-12-13 12:32:39.812 | PLAY RECAP *********************************************************************
2018-12-13 12:32:39.814 | hypervisor                 : ok=15   changed=8    unreachable=0    failed=0   
2018-12-13 12:32:39.816 | localhost                  : ok=7    changed=4    unreachable=0    failed=0   
2018-12-13 12:32:39.818 | undercloud-0               : ok=69   changed=46   unreachable=0    failed=1   
2018-12-13 12:32:39.821 | 
2018-12-13 12:32:39.823 | ERROR   Playbook "/home/rhos-ci/jenkins/workspace/OSPD-Customized-Deployment-virt@2/infrared/plugins/tripleo-undercloud/main.yml" failed!

Version-Release number of selected component (if applicable):
2018-12-07.1 puddle

How reproducible:


Steps to Reproduce:
1. Try to install composable with dedicated telemetry
2.
3.

Actual results:
Installation fails

Expected results:
Installation passes

Additional info:

Comment 6 Martin Magr 2019-01-21 15:56:48 UTC
*** Bug 1667424 has been marked as a duplicate of this bug. ***

Comment 7 Martin Magr 2019-01-21 15:56:59 UTC
*** Bug 1663873 has been marked as a duplicate of this bug. ***

Comment 8 Lon Hohberger 2019-01-22 11:33:53 UTC
According to our records, this should be resolved by openstack-tripleo-heat-templates-8.0.7-21.el7ost.  This build is available now.

Comment 10 Sasha Smolyak 2019-01-30 15:22:18 UTC
Deployment failed.
[stack@undercloud-0 ~]$ rpm -qa openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-8.0.7-21.el7ost.noarch


2019-01-30 15:12:44.684 | TASK [print the last 60 lines of the undercloud installation] ******************
2019-01-30 15:12:44.686 | task path: /home/rhos-ci/jenkins/workspace/OSPD-Customized-Deployment-virt@3/infrared/plugins/tripleo-undercloud/deploy.yml:27
2019-01-30 15:12:44.688 | changed: [undercloud-0] => {
2019-01-30 15:12:44.691 |     "changed": true, 
2019-01-30 15:12:44.693 |     "cmd": [
2019-01-30 15:12:44.696 |         "tail", 
2019-01-30 15:12:44.698 |         "-n60", 
2019-01-30 15:12:44.700 |         "undercloud_install.log"
2019-01-30 15:12:44.703 |     ], 
2019-01-30 15:12:44.705 |     "delta": "0:00:00.003077", 
2019-01-30 15:12:44.707 |     "end": "2019-01-30 10:12:44.379390", 
2019-01-30 15:12:44.710 |     "rc": 0, 
2019-01-30 15:12:44.712 |     "start": "2019-01-30 10:12:44.376313"
2019-01-30 15:12:44.714 | }
2019-01-30 15:12:44.717 | 
2019-01-30 15:12:44.719 | STDOUT:
2019-01-30 15:12:44.721 | 
2019-01-30 15:12:45.090 | 2019-01-30 10:12:28,460 INFO:    Keystone config: 2.55
2019-01-30 15:12:45.093 | 2019-01-30 10:12:28,460 INFO:    Neutron config: 2.69
2019-01-30 15:12:45.095 | 2019-01-30 10:12:28,461 INFO:    Glance api config: 2.82
2019-01-30 15:12:45.098 | 2019-01-30 10:12:28,461 INFO:      Nova cell v2: 2.96
2019-01-30 15:12:45.100 | 2019-01-30 10:12:28,461 INFO:    Config retrieval: 23.76
2019-01-30 15:12:45.103 | 2019-01-30 10:12:28,461 INFO:           Package: 276.66
2019-01-30 15:12:45.105 | 2019-01-30 10:12:28,461 INFO:        Mysql user: 3.08
2019-01-30 15:12:45.107 | 2019-01-30 10:12:28,461 INFO:     Keystone role: 3.23
2019-01-30 15:12:45.110 | 2019-01-30 10:12:28,461 INFO:              File: 3.36
2019-01-30 15:12:45.112 | 2019-01-30 10:12:28,461 INFO:     Keystone user: 39.02
2019-01-30 15:12:45.115 | 2019-01-30 10:12:28,461 INFO:           Service: 48.47
2019-01-30 15:12:45.117 | 2019-01-30 10:12:28,461 INFO:    Keystone user role: 50.59
2019-01-30 15:12:45.119 | 2019-01-30 10:12:28,461 INFO:              Exec: 52.58
2019-01-30 15:12:45.122 | 2019-01-30 10:12:28,461 INFO:    Keystone endpoint: 56.24
2019-01-30 15:12:45.124 | 2019-01-30 10:12:28,461 INFO:     Ironic config: 6.04
2019-01-30 15:12:45.127 | 2019-01-30 10:12:28,462 INFO:             Total: 774.93
2019-01-30 15:12:45.129 | 2019-01-30 10:12:28,462 INFO:        Filebucket: 0.00
2019-01-30 15:12:45.131 | 2019-01-30 10:12:28,462 INFO:     Mysql datadir: 9.51
2019-01-30 15:12:45.134 | 2019-01-30 10:12:28,462 INFO: Version:
2019-01-30 15:12:45.136 | 2019-01-30 10:12:28,462 INFO:            Config: 1548860301
2019-01-30 15:12:45.139 | 2019-01-30 10:12:28,462 INFO:            Puppet: 4.8.2
2019-01-30 15:12:45.141 | 2019-01-30 10:12:43,693 INFO: + rc=6
2019-01-30 15:12:45.143 | 2019-01-30 10:12:43,693 INFO: + set -e
2019-01-30 15:12:45.146 | 2019-01-30 10:12:43,694 INFO: + echo 'puppet apply exited with exit code 6'
2019-01-30 15:12:45.148 | 2019-01-30 10:12:43,694 INFO: puppet apply exited with exit code 6
2019-01-30 15:12:45.151 | 2019-01-30 10:12:43,694 INFO: + '[' 6 '!=' 2 -a 6 '!=' 0 ']'
2019-01-30 15:12:45.153 | 2019-01-30 10:12:43,694 INFO: + exit 6
2019-01-30 15:12:45.155 | 2019-01-30 10:12:43,694 INFO: [2019-01-30 10:12:43,693] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1]
2019-01-30 15:12:45.158 | 2019-01-30 10:12:43,694 INFO: 
2019-01-30 15:12:45.160 | 2019-01-30 10:12:43,694 INFO: [2019-01-30 10:12:43,694] (os-refresh-config) [ERROR] Aborting...
2019-01-30 15:12:45.163 | 2019-01-30 10:12:43,703 DEBUG: An exception occurred
2019-01-30 15:12:45.165 | Traceback (most recent call last):
2019-01-30 15:12:45.167 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 2332, in install
2019-01-30 15:12:45.170 |     _run_orc(instack_env)
2019-01-30 15:12:45.172 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1599, in _run_orc
2019-01-30 15:12:45.175 |     _run_live_command(args, instack_env, 'os-refresh-config')
2019-01-30 15:12:45.177 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 668, in _run_live_command
2019-01-30 15:12:45.179 |     raise RuntimeError('%s failed. See log for details.' % name)
2019-01-30 15:12:45.182 | RuntimeError: os-refresh-config failed. See log for details.
2019-01-30 15:12:45.184 | 2019-01-30 10:12:43,704 ERROR: 
2019-01-30 15:12:45.186 | #############################################################################
2019-01-30 15:12:45.189 | Undercloud install failed.
2019-01-30 15:12:45.191 | 
2019-01-30 15:12:45.193 | Reason: os-refresh-config failed. See log for details.
2019-01-30 15:12:45.196 | 
2019-01-30 15:12:45.198 | See the previous output for details about what went wrong.  The full install
2019-01-30 15:12:45.200 | log can be found at /home/stack/.instack/install-undercloud.log.
2019-01-30 15:12:45.203 | 
2019-01-30 15:12:45.205 | #############################################################################
2019-01-30 15:12:45.207 | 
2019-01-30 15:12:45.210 | Traceback (most recent call last):
2019-01-30 15:12:45.212 |   File "<string>", line 1, in <module>
2019-01-30 15:12:45.215 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 2332, in install
2019-01-30 15:12:45.217 |     _run_orc(instack_env)
2019-01-30 15:12:45.219 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 1599, in _run_orc
2019-01-30 15:12:45.222 |     _run_live_command(args, instack_env, 'os-refresh-config')
2019-01-30 15:12:45.224 |   File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 668, in _run_live_command
2019-01-30 15:12:45.226 |     raise RuntimeError('%s failed. See log for details.' % name)
2019-01-30 15:12:45.229 | RuntimeError: os-refresh-config failed. See log for details.
2019-01-30 15:12:45.231 | Command 'instack-install-undercloud' returned non-zero exit status 1
2019-01-30 15:12:45.233 | 
2019-01-30 15:12:45.236 | 
2019-01-30 15:12:45.238 | TASK [print any nested error entries in undercloud installation] ***************
2019-01-30 15:12:45.241 | task path: /home/rhos-ci/jenkins/workspace/OSPD-Customized-Deployment-virt@3/infrared/plugins/tripleo-undercloud/deploy.yml:30
2019-01-30 15:12:45.243 | changed: [undercloud-0] => {
2019-01-30 15:12:45.245 |     "changed": true, 
2019-01-30 15:12:45.248 |     "cmd": "grep -B2 -A5 -i 'info:.*error:' undercloud_install.log || true", 
2019-01-30 15:12:45.250 |     "delta": "0:00:00.005786", 
2019-01-30 15:12:45.252 |     "end": "2019-01-30 10:12:45.003537", 
2019-01-30 15:12:45.255 |     "rc": 0, 
2019-01-30 15:12:45.257 |     "start": "2019-01-30 10:12:44.997751"
2019-01-30 15:12:45.260 | }
2019-01-30 15:12:45.262 | 
2019-01-30 15:12:45.264 | STDOUT:
2019-01-30 15:12:45.267 | 
2019-01-30 15:12:45.439 | 2019-01-30 10:12:06,253 INFO: Notice: /Stage[main]/Main/Exec[ceilo-gnocchi-upgrade]/returns:                           [--use-journal] [--use-json] [--use-syslog]
2019-01-30 15:12:45.442 | 2019-01-30 10:12:06,253 INFO: Notice: /Stage[main]/Main/Exec[ceilo-gnocchi-upgrade]/returns:                           [--version] [--watch-log-file]
2019-01-30 15:12:45.444 | 2019-01-30 10:12:06,253 INFO: Notice: /Stage[main]/Main/Exec[ceilo-gnocchi-upgrade]/returns: ceilometer-upgrade: error: unrecognized arguments: --skip-metering-database
2019-01-30 15:12:45.447 | 2019-01-30 10:12:06,253 INFO: Error: ceilometer-upgrade --skip-metering-database returned 2 instead of one of [0]
2019-01-30 15:12:45.449 | 2019-01-30 10:12:06,253 INFO: Error: /Stage[main]/Main/Exec[ceilo-gnocchi-upgrade]/returns: change from notrun to 0 failed: ceilometer-upgrade --skip-metering-database returned 2 instead of one of [0]

Comment 11 Rafal Szmigiel 2019-02-01 11:40:55 UTC
The problem is caused by /usr/share/instack-undercloud/puppet-stack-config/puppet-stack-config.pp file from instack-undercloud-8.4.6-4.el7ost.noarch package.
Please note that during openstack undercloud install copy of this file is created in /etc/puppet/manifests/ and it is used during the next installation attempt.

Resolution which works in my case:

[root@director13 ~]# cat << EOF > /tmp/BZ1667424.patch
--- /usr/share/instack-undercloud/puppet-stack-config/puppet-stack-config.pp    2018-11-26 10:45:03.000000000 -0500
+++ /usr/share/instack-undercloud/puppet-stack-config/puppet-stack-config.pp.new        2019-02-01 06:28:59.394972476 -0500
@@ -205,7 +205,7 @@
   exec { 'ceilo-gnocchi-upgrade':
-    command => 'ceilometer-upgrade --skip-metering-database',
+    command => 'ceilometer-upgrade',
     path    => ['/usr/bin', '/usr/sbin'],
   }
EOF
[root@director13 ~]# patch /usr/share/instack-undercloud/puppet-stack-config/puppet-stack-config.pp < /tmp/BZ1667424.patch
patching file /usr/share/instack-undercloud/puppet-stack-config/puppet-stack-config.pp
Hunk #1 succeeded at 207 with fuzz 2 (offset 2 lines).

### If you have already made openstack undercloud install attempt, you also need to patch copy of the file created in /etc/puppet/manifests/

[root@director13 ~]# patch /etc/puppet/manifests/puppet-stack-config.pp < /tmp/BZ1667424.patch
patching file /etc/puppet/manifests/puppet-stack-config.pp
Hunk #1 succeeded at 207 with fuzz 2 (offset 2 lines).

Then you can re-run openstack undercloud install.

Comment 20 Nataf Sharabi 2019-02-27 14:37:01 UTC
I've managed to deploy with telemetry node.
The deployment was successful.
Telemetry node was accessible.
All containers were healthy.

Comment 23 errata-xmlrpc 2019-03-14 13:31:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0566


Note You need to log in before you can comment on or make changes to this bug.